<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:keepScreenOn="true"
    android:orientation="horizontal"
    tools:ignore="MergeRootFrame">

    <FrameLayout
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:background="@drawable/bg_recycleview">

        <SurfaceView
            android:id="@+id/surfaceView1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="0dp"
            android:layout_marginTop="0dp"
            android:layout_marginEnd="1dp"
            android:layout_marginBottom="0dp"
            android:text="" />

        <ProgressBar
            android:id="@+id/progressStartVideo"
            style="@style/Widget.AppCompat.ProgressBar"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:layout_gravity="center" />

        <TextView
            android:id="@+id/showVersion"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginRight="3dp"
            android:shadowColor="@color/WHITE"
            android:shadowDx="1"
            android:shadowDy="1"
            android:shadowRadius="2"
            android:textColor="@color/blue"
            android:textStyle="italic" />

        <Button
            android:id="@+id/checkAll"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginEnd="5dp"
            android:text="全选"
            android:textAllCaps="false"
            android:textSize="16sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/cancelAll"

            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginTop="60dp"
            android:layout_marginEnd="5dp"
            android:text="@string/cancel"
            android:textAllCaps="false"
            android:textSize="16sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/deleteChecked"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginTop="120dp"
            android:layout_marginEnd="5dp"
            android:text="@string/delete"
            android:textAllCaps="false"
            android:textSize="16sp"
            android:textStyle="bold" />

        <ImageButton
            android:id="@+id/restart"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:background="@drawable/restart" />


        <TextView
            android:id="@+id/devversion"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:shadowColor="@color/WHITE"
            android:shadowDx="1"
            android:shadowDy="1"
            android:shadowRadius="2"
            android:visibility="gone"
            android:textColor="@color/red" />

        <com.github.chrisbanes.photoview.PhotoView
            android:id="@+id/clickView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </FrameLayout>

    <LinearLayout
        android:layout_width="130dp"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/showByteArr"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:shadowColor="@color/blue"
                android:shadowDx="1"
                android:shadowDy="1"
                android:shadowRadius="2"
                android:textStyle="bold" />

            <ImageButton
                android:id="@+id/toMain"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/return_mainxml" />
        </LinearLayout>

        <View
            android:layout_width="wrap_content"
            android:layout_height="1dp"
            android:background="@color/blue" />

        <ImageView
            android:id="@+id/getImage"
            android:layout_width="match_parent"
            android:layout_height="72dp"
            android:layout_marginTop="10dp"
            android:contentDescription="TODO" />

        <ListView
            android:id="@+id/bmpList"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="5dp"
            android:layout_weight="1"
            android:focusable="false"
            android:visibility="invisible"
            tools:ignore="NestedWeights" />


        <Button
            android:id="@+id/face_recordbtn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginEnd="5dp"
            android:drawableStart="@drawable/start_video"
            android:text="@string/record_video"
            android:textAllCaps="false"
            android:textSize="16sp"
            android:textStyle="bold"
            android:visibility="gone" />

        <Button
            android:id="@+id/face_stopbtn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginEnd="5dp"
            android:drawableStart="@drawable/stop"
            android:text="@string/stop_video"
            android:textAllCaps="false"
            android:textSize="16sp"
            android:textStyle="bold"
            android:visibility="gone" />

        <Button
            android:id="@+id/face_capturebtn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginEnd="5dp"
            android:drawableStart="@drawable/capture"
            android:text="@string/hand_capture"
            android:textAllCaps="false"
            android:textSize="16sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/sdkversion"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:shadowColor="@color/WHITE"
            android:shadowDx="1"
            android:shadowDy="1"
            android:shadowRadius="2"
            android:textColor="@color/red" />
    </LinearLayout>

</LinearLayout>